Bug 422196 - Budget view displays all account types
Summary: Budget view displays all account types
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-28 19:37 UTC by Robert Szczesiak
Modified: 2020-06-05 04:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
All account types in the Budgets view (41.60 KB, image/png)
2020-05-28 19:37 UTC, Robert Szczesiak
Details
Sample file - budget_test.kmy (1.55 KB, application/x-kmymoney)
2020-05-28 19:37 UTC, Robert Szczesiak
Details
Only Income and Expense categories after fix (20.76 KB, image/png)
2020-05-28 19:46 UTC, Robert Szczesiak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Szczesiak 2020-05-28 19:37:02 UTC
Created attachment 128876 [details]
All account types in the Budgets view

SUMMARY
In the Budgets view all account types, including Asset, Liability, and Equity, are displayed.

STEPS TO REPRODUCE
1. Open the attached budget_test.kmy file.
2. Go to the Budgets view.

OBSERVED RESULT
On the right hand side of the view there is an account hierarchy tree which displays all account types, including Asset, Liability, and Equity.

EXPECTED RESULT
Only Income and Expense categories should be displayed in the Budgets view.

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.18.4
KDE Frameworks Version: 5.70.0
Qt Version: 5.14.2

ADDITIONAL INFORMATION
Please find attached screenshots presenting the issue.
Comment 1 Robert Szczesiak 2020-05-28 19:37:30 UTC
Created attachment 128877 [details]
Sample file - budget_test.kmy
Comment 2 Robert Szczesiak 2020-05-28 19:46:50 UTC
Created attachment 128878 [details]
Only Income and Expense categories after fix
Comment 3 Robert Szczesiak 2020-05-29 14:36:38 UTC
Git commit 8ae14acc9e894f07bffd1532d67be497ef7a9493 by Robert Szczesiak.
Committed on 29/05/2020 at 06:21.
Pushed by tbaumgart into branch 'master'.

Fix budget view displaying all account types

In the Budgets view all account types, including Asset, Liability, and
Equity, were displayed.

This commit solves the issue so that only Income and Exponse catergories
are displayed in the Budgets view.
Signed-off-by: Robert Szczesiak <dev.rszczesiak@gmail.com>

M  +2    -4    kmymoney/widgets/budgetviewproxymodel.cpp

https://invent.kde.org/office/kmymoney/commit/8ae14acc9e894f07bffd1532d67be497ef7a9493